#!/bin/bash


set -e

CHARM="trusty/cloudfoundry"

    if [ -d $CHARM ] 
    then
	cd $CHARM
	bzr pull
	cd ..
    else
	mkdir -p trusty
	bzr branch lp:~cf-charmers/charms/trusty/cloudfoundry/trunk $CHARM
    fi

#Install the cloud foundry client

PKGS="cf-cli"
dpkg -l $PKGS > /dev/null || (wget http://go-cli.s3-website-us-east-1.amazonaws.com/releases/latest/cf-cli_amd64.deb && sudo dpkg -i cf-cli_amd64.deb )
