#!/bin/bash

set -eux

CONFIG_FILE="./trusty-icehouse-ra.yaml"
DEPLOYER_OPTIONS="-s 600 -w 1200 -t 9999"
WAIT_TIME="600"

# Bootstrap the environment
juju status || juju bootstrap
#sleep "${WAIT_TIME}"
juju-deployer -c "${CONFIG_FILE}" -d trusty-icehouse-baremetal-services $DEPLOYER_OPTIONS
sleep "${WAIT_TIME}"
juju-deployer -c ./trusty-icehouse-ra.yaml -d trusty-icehouse-haclusters $DEPLOYER_OPTIONS
sleep "${WAIT_TIME}"
juju-deployer -c ./trusty-icehouse-ra.yaml -d trusty-icehouse-lxc-services $DEPLOYER_OPTIONS
sleep "${WAIT_TIME}"
juju-deployer -c ./trusty-icehouse-ra.yaml -d trusty-icehouse-base-relations $DEPLOYER_OPTIONS
sleep "${WAIT_TIME}"
juju-deployer -c ./trusty-icehouse-ra.yaml -d trusty-icehouse-ha-relations $DEPLOYER_OPTIONS
