#!/bin/bash
#Canonical Micro-Cluster auto-deployment bootstrap to tenant juju-gui
set -e #-x for debugging output

start=`date`
orange-box-bootstrap-juju trusty
until (juju pprint | grep juju-gui | grep started) ; do
             sleep 10
         done
./01-deploy.sh
sleep 60
../../orange-box-configure-openstack
sleep 60
source ~/nova.rc
until (glance image-list | grep Precise | grep active) ; do
             sleep 10
         done
until (glance image-list | grep Trusty | grep active) ; do
             sleep 10
         done
../../orange-box-launch-openstack-juju
end=`date`

echo "Deployment started: $start"
echo "Deployment completed: $end"

