#!/bin/bash

set -e
set -u

authorized_keys=~/.ssh/authorized_keys
if [ -e $authorized_keys ]; then
    mv $authorized_keys $authorized_keys.old
fi

if [ -e ~maas/.ssh/id_rsa.pub ]; then
    #copy maas user's ssh key
    sudo cat ~maas/.ssh/id_rsa.pub > $authorized_keys
fi

while read user; do
    user=${user%%#*}
    [ -n "$user" ] && ssh-import-id "$user"
done < LP_USERS.list
