#!/bin/bash


set -eaux

#Get ob number
ob_number=`hostname | cut -c 10- -`

maas admin tags new name=gateway || true
maas admin tags new name=controller || true
maas admin tags new name=compute || true
for i in {11..20}
do
     mac=$(arp -n|grep ${ob_number}.$i|awk '{print $3}')
     system_id=$(maas admin nodes list mac_address=$mac | grep system_id | cut -d'"' -f4)
     maas admin tag update-nodes "compute" add=$system_id || true
     if [ i -eq 12]; then
          maas admin tag update-nodes "controller" add=$system_id || true
     fi
done
     vmmac=$(virsh dumpxml node00vm1ob${ob_number}.maas | python -c 'import sys, lxml.etree; print list(lxml.etree.parse(sys.stdin).iter("mac"))[0].get("address")')
     vmsystem_id=$(maas admin nodes list mac_address=$vmmac | grep system_id | cut -d'"' -f4)
     maas admin tag update-nodes "gateway" add=$vmsystem_id || true
juju set-constraints tags=
time juju-deployer -d -c bundle.yaml


echo "Deployment finished"
