juju deploy cs:precise/cassandra    
juju deploy cs:precise/postgresql
juju deploy cs:precise/rabbitmq-server
juju deploy cs:precise/memcached
juju deploy cs:precise/gunicorn
juju deploy cs:precise/haproxy
juju deploy cs:precise/nfs
juju deploy --repository=/srv/charmstore local:precise/reddit

# Enable single machine mode for cassandra, if not running a cluster
juju set cassandra allow-single-node=true

juju add-relation reddit:database cassandra:database
juju add-relation reddit:db postgresql:db
juju add-relation reddit rabbitmq-server
juju add-relation reddit memcached
juju add-relation reddit nfs    
juju add-relation reddit gunicorn    

juju set haproxy services=" "

juju add-relation reddit:website haproxy:reverseproxy

juju expose reddit
