#!/bin/bash

#
#    02-push-app.sh
#    Copyright (C) 2014 Canonical Ltd.
#
#    Authors: Darryl Weaver <darryl.weaver@canonical.com>
#  
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, version 3 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

set -e

source trusty/cloudfoundry/helpers.sh
echo "trying cflogin"

cflogin || exit 1

echo "getting latest github-high-scores app"
if [ -d github-high-scores ]; then
        cd github-high-scores
        git pull
else
        git clone https://github.com/bcsaller/github-high-scores
        cd github-high-scores
fi
echo "pushing app to cloudfoundry"

cf push

