#!/bin/bash
set -ex

# Note needed for Hive Demo
#juju run --unit elasticsearch/0 "sudo /usr/share/elasticsearch/bin/plugin -install lukas-vlcek/bigdesk"
#juju run --unit elasticsearch/0 "sudo /usr/share/elasticsearch/bin/plugin -install karmi/elasticsearch-paramedic"

juju run --unit elasticsearch/0 "cd /home/ubuntu; wget http://www.elasticsearch.org/guide/en/kibana/current/snippets/shakespeare.json"
juju run --unit elasticsearch/0 "curl -XPUT localhost:9200/_bulk --data-binary @/home/ubuntu/shakespeare.json > /dev/null"

juju run --unit kibana/0 "cd /srv/kibana3/app/dashboards; sudo wget http://www.elasticsearch.org/guide/en/kibana/current/snippets/plays.json; sudo cp plays.json default.json; sudo /etc/init.d/nginx restart"
