#!/bin/bash
#
#    winbox.sh
#    Copyright (C) 2015 Canonical Ltd.
#
#    Authors: launchpad.net/~mahmoh
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, version 3 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#    Version 1.0

# set -x 

if ! dpkg -l | grep -q 'wine ' ; then sudo apt-get install -qy wine; fi

wget -qc http://download2.mikrotik.com/routeros/winbox/3.0/winbox.exe -O ~/winbox.exe

echo Running winbox under wine, all log messages written to /tmp/wine-winbox.log

cd /tmp && wine ~/winbox.exe &> /tmp/wine-winbox.log

